Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-53952

Linux agents are not starting anymore

    XMLWordPrintable

Details

    Description

      Similar to https://issues.jenkins-ci.org/browse/JENKINS-53876

      Unfortunately with the latest 1.40.1 EC2 nodes are not launching anymore:

      $ cat Jenkins\ Prebuilt\ Slave\ \(sir-p9ai6v8m\)/slave.log
      Oct 08, 2018 10:43:49 PM hudson.plugins.ec2.EC2Cloud
      INFO: Launching instance: null
      Oct 08, 2018 10:43:49 PM hudson.plugins.ec2.EC2Cloud
      INFO: bootstrap()
      Oct 08, 2018 10:43:49 PM hudson.plugins.ec2.EC2Cloud
      INFO: Getting keypair...
      Oct 08, 2018 10:43:49 PM hudson.plugins.ec2.EC2Cloud
      INFO: Using key: master
      xxx
      -----BEGIN RSA PRIVATE KEY-----
      xxx
      Oct 08, 2018 10:43:49 PM hudson.plugins.ec2.EC2Cloud
      INFO: Authenticating as ubuntu
      ERROR: Unexpected error in launching an agent. This is probably a bug in Jenkins
      java.lang.NullPointerException
      	at hudson.plugins.ec2.ssh.EC2UnixLauncher.getEC2HostAddress(EC2UnixLauncher.java:368)
      	at hudson.plugins.ec2.ssh.EC2UnixLauncher.connectToSsh(EC2UnixLauncher.java:318)
      	at hudson.plugins.ec2.ssh.EC2UnixLauncher.bootstrap(EC2UnixLauncher.java:282)
      	at hudson.plugins.ec2.ssh.EC2UnixLauncher.launchScript(EC2UnixLauncher.java:130)
      	at hudson.plugins.ec2.EC2ComputerLauncher.launch(EC2ComputerLauncher.java:48)
      	at hudson.slaves.SlaveComputer$1.call(SlaveComputer.java:294)
      	at jenkins.util.ContextResettingExecutorService$2.call(ContextResettingExecutorService.java:46)
      	at jenkins.security.ImpersonatingExecutorService$2.call(ImpersonatingExecutorService.java:71)
      	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
      	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
      	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
      	at java.lang.Thread.run(Thread.java:748)
      

       

      Reverting back to 1.39 solves the issue.

      I see m5d instances being mentioned in the changelog - which we are using - perhaps related? 

       

       

      Attachments

        Activity

          People

            mramonleon Ramon Leon
            lifeofguenter Günter Grodotzki
            Votes:
            14 Vote for this issue
            Watchers:
            25 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: